#ifndef SCENE_H
#define SCENE_H

#include <QMatrix4x4>
#include <cylinder.h>
#include <QOpenGLFunctions>
#include <QOpenGLShaderProgram>


class Scene
{
public:
	Scene();
	void draw(QOpenGLFunctions &f, QOpenGLShaderProgram *prog, int mat_uni,
			  float alpha, QMatrix4x4 &matrix, int vertices, int colors);

private:
	Cylinder volant;
	Cylinder axe_volant;
	Cylinder manivelle;
	Cylinder axe_manivelle;
	Cylinder bague_bielle;
	Cylinder bague_piston;
	Cylinder axe_bielle_piston;
	Cylinder bielle;
	Cylinder piston;
	Cylinder cylindre;
};


#endif
